Subject: Re: [PATCH v2] iommu: Allow device driver to use its own PASID space for SVA

From: Joonwon Kang <[email-masked]>
Date: Tue, 26 May 2026 06:58:22 +0000

> On Mon, May 25, 2026 at 03:29:24PM +0000, Joonwon Kang wrote:
> 
> > Currently, the only known expected user of the new kAPI is our team. Since
> > I test if the patch resolves our problem before sending it, I believe it
> > should be good enough. Do you mean more than our team by "accompanied
> > users"?
> 
> He means you cannot send patches like this that only serve OOT drivers
> to the mainline kernel.

Hmm, it gets back to the chicken-and-egg problem. So, do you recommend
deferring the patch submission until we find a new in-tree user of the
new kAPI? I believe we will not make our module in-tree anytime soon.
Or, is it like I still can send the patch and get it reviewed although we
cannot merge it to the mainline?

Thanks,
Joonwon Kang